4Z API

Query task status

Endpoint: POST https://4zapi.com/suno/fetch

One of the polling entrances. The request body is task_id / clip id list (ids).

Note: task_id is used for polling tasks; clip_id is used for continuation/filling segments, etc. Do not mix the two (API-Doc-Standards §2.4).

Query the status of tasks or works in batches based on the task ID list.

Request body (application/json)

  • ids (array<string>, required): task_id or clip_id list
  • action (string): Optional; in most cases only ids is needed

Request example

{
  "ids": [
    "task_abc123"
  ]
}